      subroutine  copyvec3 ( source, target, nx, ny, nz, 
     .  sl1, sl2, sl3, sl4, sl5, sl6)
c ======================================================================
c
c
c        programmer     Jos van Kan
c        version 1.0    date 10-03-97
c
c   copyright (c) 1997
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   author.
c
c   pilotcode 3d mgpackage
c
c ********************************************************************
c
c                         DESCRIPTION
c
c ********************************************************************
c
c                      KEYWORDS
c
c ********************************************************************
c
c         MODULES USED
c
      use mgpreset
c
c **********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      integer nx, ny, nz
      integer sl1, sl2, sl3, sl4, sl5, sl6
      double precision
     .source (1-sl1:nx+sl2, 1-sl3:ny+sl4,
     .1-sl5:nz+sl6),
     .target (1-sl1:nx+sl2, 1-sl3:ny+sl4,
     .1-sl5:nz+sl6)
c
c   nx		    number of grid x points on finest grid
c   ny		    number of grid y points on finest grid
c   nz		    number of grid z points on finest grid
c	sl1	i    Slack variable, x lower bound
c	sl2	i    Slack variable, x upper bound
c	sl3	i    Slack variable, y lower bound
c	sl4	i    Slack variable, y upper bound
c	sl5	i    Slack variable, z lower bound
c	sl6	i    Slack variable, z upper bound
c   source	    original in copy
c   target	    copy in copy
c
c ********************************************************************
c
c                      COMMON BLOCKS
c
c ********************************************************************
c
c                      LOCAL PARAMETERS
c
      integer ix, iy, iz
c
c ********************************************************************
c
c                      SUBROUTINES CALLED
c
c     
c ********************************************************************
c
c                      I/O
c
c ********************************************************************
c
c                      ERROR MESSAGES
c
c ********************************************************************
c
c                      PSEUDO CODE
c
c ======================================================================
      do iz = 1, nz
        do iy = 1, ny
          do ix = 1, nx
           target (ix, iy, iz) = source (ix, iy, iz)
          end do
        end do
      end do
      end
