      double precision function inp3 ( vec1, vec2, nx, ny, nz, 
     .  sl1, sl2, sl3, sl4, sl5, sl6)
c ======================================================================
c
c
c        programmer     Jos van Kan
c        version 1.0    date   10-03-97

c   pilotcode 3d mgpackage
c
c ********************************************************************
c
c
c                         DESCRIPTION
c   calculates innerproduct of vectors vec1 and vec2
c
c ********************************************************************
c
c                      KEYWORDS
c
c ********************************************************************
c
c         MODULES USED
c
      use mgpreset
c
c **********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      integer sl1, sl2, sl3, sl4, sl5, sl6
      integer nx, ny, nz
      double precision
     . vec1 (1-sl1:nx+sl2, 1-sl3:ny+sl4,
     . 1-sl5:nz+sl6),
     . vec2 (1-sl1:nx+sl2, 1-sl3:ny+sl4,
     . 1-sl5:nz+sl6)
c
c ********************************************************************
c
c                      COMMON BLOCKS
c
c ********************************************************************
c
c                      LOCAL PARAMETERS
      integer ix, iy, iz
      double precision aux
c
c ********************************************************************
c
c                      SUBROUTINES CALLED
c
c     
c ********************************************************************
c
c                      I/O
c
c ********************************************************************
c
c                      ERROR MESSAGES
c
c ********************************************************************
c
c                      PSEUDO CODE
c
c ======================================================================
      aux = 0d0
      do iz = 1, nz
        do iy = 1, ny
          do ix = 1, nx
            aux = aux + vec1 (ix, iy, iz) * vec2 (ix, iy, iz)
          end do
        end do
      end do
      inp3 = aux
      end
