      subroutine printvec3 ( vec, nx, ny, nz, 
     .  sl1, sl2, sl3, sl4, sl5, sl6)
c ======================================================================
c
c
c        programmer     Jos van Kan
c        version 1.0    date   11-03-97
c
c   copyright (c) 1997
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   author.
c
c   pilotcode 2d mgpackage
c
c ********************************************************************
c
c                         DESCRIPTION
c
c    a vector is printed.
c
c ********************************************************************
c
c                      KEYWORDS
c
c ********************************************************************
c
c         MODULES USED
c
      use mgpreset
c
c **********************************************************************
c
c                      INPUT / OUTPUT    PARAMETERS
c
      implicit none
      integer sl1, sl2, sl3, sl4, sl5, sl6
      integer nx, ny, nz
      double precision 
     .  vec (1-sl1:nx+sl2, 1-sl3:ny+sl4,
     .       1-sl5:nz+sl6)
c
c   vec             generic name for quantity with the dimension of
c                   sol or rhs
c   nx              number of grid x points on finest grid
c   ny              number of grid y points on finest grid
c   nz              number of grid z points on finest grid
c	sl1	i    Slack variable, x lower bound
c	sl2	i    Slack variable, x upper bound
c	sl3	i    Slack variable, y lower bound
c	sl4	i    Slack variable, y upper bound
c	sl5	i    Slack variable, z lower bound
c	sl6	i    Slack variable, z upper bound
c                   zhi)
c
c ********************************************************************
c
c                      COMMON BLOCKS
c
c
c
c ********************************************************************
c
c                      LOCAL PARAMETERS
      integer ix, iy, iz
c
c   ix              counter to number of grid x points on finest grid
c   iy              counter to number of grid y points on finest grid
c   iz              counter to number of grid z points on finest grid
c
c ********************************************************************
c
c                      SUBROUTINES CALLED
c
c     
c ********************************************************************
c
c                      I/O
c
c ********************************************************************
c
c                      ERROR MESSAGES
c
c ********************************************************************
c
c                      PSEUDO CODE
c
c ======================================================================
      write (*, *) 'Print vector output. '
      do iz = 1, nz
      write (*, *) "z coord: ", iz
      do iy = 1, ny
         write (*, *) "y coord: ", iy
         write (*, 100) (vec (ix, iy, iz) , ix = 1, nx)
         write (*, '(1X)')
      end do
      write (*, '(1X)')
      end do
100   format (5f16.8)
      end
